LinuxQMISDK: appStatus Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
appStatus Struct Reference

## Data Fields
BYTE | appType
BYTE | appState
BYTE | persoState
BYTE | persoFeature
BYTE | persoRetries
BYTE | persoUnblockRetries
BYTE | aidLength
BYTE | aidVal [255]
BYTE | univPin
BYTE | pin1State
BYTE | pin1Retries
BYTE | puk1Retries
BYTE | pin2State
BYTE | pin2Retries
BYTE | puk2Retries

## Detailed Description

This structure contains Application Status Information loaded on the card.

Parameters

  appType | Indicates the type of the application. 0 - Unknown 1 - SIM card 2 - USIM application 3 - RUIM card 4 - CSIM application 5 - ISIM application Other values are reserved for the future and are to be handled as "Unknown".
  appState | Indicates the state of the application. 0 - Unknown 1 - Detected 2 - PIN1 or UPIN is required 3 - PUK1 or PUK for UPIN is required 4 - Personalization state must be checked 5 - PIN1 is blocked 6 - Illegal 7 - Ready
  persoState | Indicates the state of the personalization for the application. 0 - Unknown 1 - Personalization operation is in progress 2 - Ready 3 - Personalization code is required 4 - PUK for personalization code is required 5 - Permanently blocked
  persoFeature | Indicates the personalization feature. This applies only when a personalization code is required to deactivate or unblock personalization. 0 - GW network personalization 1 - GW network subset personalization 2 - GW service provider personalization 3 - GW corporate personalization 4 - GW UIM personalization 5 - 1X network type 1 personalization 6 - 1X network type 2 personalization 7 - 1X HRPD personalization 8 - 1X service provider personalization 9 - 1X corporate personalization 10 - 1X RUIM personalization 11 - Unknown
  persoRetries | Indicates the number of retries remaining to disable the personalization.
  persoUnblockRetries | Indicates the number of retries remaining to unblock the personalization.
  aidLength | Number of sets of the following elements. i.e. aidVal If zero(0) then no aidVal information exists.
  aidVal[MAX_DESCRIPTION_LENGTH] | Application identifier value.
  univPin | Indicates whether UPIN replaces PIN1. 0 - PIN1 is used 1 - UPIN replaces PIN1
  pin1State | Indicates the state of PIN1. 0 - Unknown 1 - Enabled and not verified 2 - Enabled and verified 3 - Disabled 4 - Blocked 5 - Permanently blocked
  pin1Retries | Indicates the number of retries remaining to verify PIN1.
  puk1Retries | Indicates the number of retries remaining to unblock PIN1.
  pin2State | Indicates the state of PIN2. 0 - Unknown 1 - Enabled and not verified 2 - Enabled and verified 3 - Disabled 4 - Blocked 5 - Permanently blocked
  pin2Retries | Indicates the number of retries remaining to verify PIN2.
  puk2Retries | Indicates the number of retries remaining to unblock PIN2.

## Field Documentation

BYTE appStatus::aidLength

BYTE appStatus::aidVal[255]

BYTE appStatus::appState

BYTE appStatus::appType

BYTE appStatus::persoFeature

BYTE appStatus::persoRetries

BYTE appStatus::persoState

BYTE appStatus::persoUnblockRetries

BYTE appStatus::pin1Retries

BYTE appStatus::pin1State

BYTE appStatus::pin2Retries

BYTE appStatus::pin2State

BYTE appStatus::puk1Retries

BYTE appStatus::puk2Retries

BYTE appStatus::univPin